Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException

Direct Known Subclasses:
  CIMProviderException, CIMRepositoryException, CIMSecurityException, CIMSemanticException, CIMTransportException

public class CIMException
extends java.lang.Exception

Superclass of classes used to represent exceptional CIM conditions. These exceptions are recoverable by user programs and therefore must be declared in the throws clause of a method and caught by using try/catch statements. Any method that throws any instance of CIMException that is not a RuntimeException must declare the CIMException(s) in its throws clause as part of the method's declaration. This is a Java language requirement. Any method that calls this method must either catch the exception(s) by using try/catch statements or declare the exception(s) in its own throws clause.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CIM_ERR_ALREADY_EXISTS` Element already exists.
`static java.lang.String` | `CIM_ERR_CLASS_HAS_CHILDREN` Class has subclasses.
`static java.lang.String` | `CIM_ERR_CLASS_HAS_INSTANCES` Class has instances.
`static java.lang.String` | `CIM_ERR_FAILED` General CIMException.
`static java.lang.String` | `CIM_ERR_INVALID_CLASS` Invalid class specified.
`static java.lang.String` | `CIM_ERR_INVALID_NAMESPACE` Invalid namespace specified.
`static java.lang.String` | `CIM_ERR_INVALID_PARAMETER` Invalid parameter is passed to a method.
`static java.lang.String` | `CIM_ERR_INVALID_QUERY` Invalid query.
`static java.lang.String` | `CIM_ERR_LOW_ON_MEMORY` Low memory.
`static java.lang.String` | `CIM_ERR_NOT_FOUND` Element cannot be found.
`static java.lang.String` | `CIM_ERR_NOT_SUPPORTED` The action is not supported.
`static java.lang.String` | `DEFAULT` Default cim exception.
`static java.lang.String` | `PDEFAULT` Default cim exception with one parameter.
`static java.lang.String` | `VER_ERROR` This error is thrown when a client tries to connect to a CIM object manager which does not support the version of the client.

Constructor Summary
`CIMException()` Contructs a CIMException with no detail message.
`CIMException(java.lang.String s)` Creates a CIMException with the specified message.
`CIMException(java.lang.String s, java.lang.Object param)` Creates a CIMException with the specified message and one exception parameter.
`CIMException(java.lang.String s, java.lang.Object[] param)` Creates a CIMException with the specified message and an array of exception parameters.
`CIMException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMException with the specified message and two exception parameters.
`CIMException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMException with the specified message and three exception parameters.

Method Summary
`java.lang.String` | `getID()` Returns the detail message for this exception.
`java.lang.Object[]` | `getParams()` Returns the parameters for this exception.
`java.lang.String` | `getXmlCode(int code)` Gets the name when you know the code.
`int` | `getXmlCode(java.lang.String s)` Errors in CIM Operations over HTTP have to be reported as integers.
`boolean` | `isXmlCode(java.lang.String s)` Returns true if the exception is a valid XML exception
`void` | `setParams(java.lang.Object[] parm)` Sets the substitution args for the exception.
`java.lang.String` | `toString()` Prints out the ID and a comma separated list of parameters on a new line.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

  Default cim exception.

### PDEFAULT

    public static final java.lang.String PDEFAULT

  Default cim exception with one parameter. This is no longer used.

### CIM_ERR_FAILED

    public static final java.lang.String CIM_ERR_FAILED

  General CIMException. Requires one parameter.

### CIM_ERR_NOT_SUPPORTED

    public static final java.lang.String CIM_ERR_NOT_SUPPORTED

  The action is not supported. This can be thrown by a provider or the CIM object manager itself when it does not support a particular method.

### VER_ERROR

    public static final java.lang.String VER_ERROR

  This error is thrown when a client tries to connect to a CIM object manager which does not support the version of the client. This will typically happen when new clients try to connect to old CIM object managers.

### CIM_ERR_INVALID_PARAMETER

    public static final java.lang.String CIM_ERR_INVALID_PARAMETER

  Invalid parameter is passed to a method. This error message uses one parameter, the parameter which caused the exception.

### CIM_ERR_INVALID_NAMESPACE

    public static final java.lang.String CIM_ERR_INVALID_NAMESPACE

  Invalid namespace specified. This error message uses one parameter, the invalid namespace name.

### CIM_ERR_INVALID_CLASS

    public static final java.lang.String CIM_ERR_INVALID_CLASS

  Invalid class specified. For e.g. when one tries to add an instance for a class that does not exist. This error message uses one parameter, the invalid class name.

### CIM_ERR_NOT_FOUND

    public static final java.lang.String CIM_ERR_NOT_FOUND

  Element cannot be found. This error message uses one parameter, the element that cannot be found.

### CIM_ERR_ALREADY_EXISTS

    public static final java.lang.String CIM_ERR_ALREADY_EXISTS

  Element already exists. This error message uses one parameter, the element that already exists.

### CIM_ERR_CLASS_HAS_CHILDREN

    public static final java.lang.String CIM_ERR_CLASS_HAS_CHILDREN

  Class has subclasses. This error message uses one parameter, the class name. The exception is thrown by the CIM object manager to disallow invalidation of the subclasses by the super class deletion. Clients must explicitly delete the subclasses first. The check for subclasses is made before the check for class instances.

### CIM_ERR_CLASS_HAS_INSTANCES

    public static final java.lang.String CIM_ERR_CLASS_HAS_INSTANCES

  Class has instances. Thsi error message uses one parameter, the class name. For example, this exception would be thrown if you try to delete a class that has instances.

### CIM_ERR_INVALID_QUERY

    public static final java.lang.String CIM_ERR_INVALID_QUERY

  Invalid query. This error message uses one parameter, the invalid snippet of the query.

### CIM_ERR_LOW_ON_MEMORY

    public static final java.lang.String CIM_ERR_LOW_ON_MEMORY

  Low memory.

Constructor Detail

### CIMException

    public CIMException()

  Contructs a CIMException with no detail message.

### CIMException

    public CIMException(java.lang.String s)

  Creates a CIMException with the specified message.
  Parameters:
    `s` - the detail message.

### CIMException

    public CIMException(java.lang.String s,
                        java.lang.Object param)

  Creates a CIMException with the specified message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMException

    public CIMException(java.lang.String s,
                        java.lang.Object param1,
                        java.lang.Object param2)

  Creates a CIMException with the specified message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMException

    public CIMException(java.lang.String s,
                        java.lang.Object param1,
                        java.lang.Object param2,
                        java.lang.Object param3)

  Creates a CIMException with the specified message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMException

    public CIMException(java.lang.String s,
                        java.lang.Object[] param)

  Creates a CIMException with the specified message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters.

Method Detail

### getID

    public java.lang.String getID()

  Returns the detail message for this exception. Application programs can use this to take appropriate action for specific exceptions.
  Returns:
    String the detail message.

### getParams

    public java.lang.Object[] getParams()

  Returns the parameters for this exception. Application programs can use to take appropriate action for specific exceptions.
  Returns:
    Object[] the exception parameters.

### setParams

    public void setParams(java.lang.Object[] parm)

  Sets the substitution args for the exception. Primarily used by the LogRecord class to reconstruct an exception from a string.

### toString

    public java.lang.String toString()

  Prints out the ID and a comma separated list of parameters on a new line.
  Overrides:
    toString in class java.lang.Throwable

### getXmlCode

    public int getXmlCode(java.lang.String s)

  Errors in CIM Operations over HTTP have to be reported as integers.

### getXmlCode

    public java.lang.String getXmlCode(int code)

  Gets the name when you know the code.

### isXmlCode

    public boolean isXmlCode(java.lang.String s)

  Returns true if the exception is a valid XML exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD